import "@hotwired/turbo-rails"
import { Application } from "@hotwired/stimulus"

import LanguageMenuController from "language_menu_controller"
import CarouselController from "carousel_controller"
import IntroController from "intro_controller"
import ChanceController from "chance_controller"
import ShareController from "share_controller"

const application = Application.start()

application.register("language-menu", LanguageMenuController)
application.register("carousel", CarouselController)
application.register("intro", IntroController)
application.register("chance", ChanceController)
application.register("share", ShareController)

// Configure Stimulus development experience
application.debug = false
window.Stimulus = application

export { application }

